在 Azure Stack Hub 上安裝事件中樞的必要條件

您必須先完成下列必要條件,才能在 Azure Stack Hub 上安裝事件中樞。 可能需要數天或數週的前置時間才能完成所有步驟。

重要

這些必要條件假設您已部署至少 4 個節點的 Azure Stack Hub 整合系統。 Azure Stack 開發套件 (ASDK) 不支援事件中樞資源提供者。

重要

事件中樞需要 Azure Stack Hub 2005 組建版本或更高版本。 請注意,Azure Stack Hub 組建是有增量順序的。 例如,如果您安裝了版本 1910,則必須先升級至 2002,才能安裝 2005。 也就是說,您無法略過其中任何一個組建。

一般必要條件

如果您已安裝資源提供者,則可能已完成下列必要條件,並可略過本節。 否則,請先完成這些步驟再繼續:

  1. 如果尚未進行,請向 Azure 註冊您的 Azure Stack Hub 執行個體。 由於您會連線至 Azure 並將項目下載至市集,因此必須進行此步驟。

  2. 如果您不熟悉 Azure Stack Hub 管理員入口網站的 Marketplace 管理功能,請檢閱從 Azure 下載市集項目並發佈至 Azure Stack Hub。 本文將逐步引導您完成從 Azure 將項目下載到 Azure Stack Hub 市集的流程。 內容涵蓋已連線和已中斷連線兩種情況。 如果您的 Azure Stack Hub 執行個體已中斷連線或僅有部分連線,則在準備安裝時需要完成其他必要條件。

  3. 更新 Azure Active Directory (Azure AD) 主目錄。 從組建 1910 開始,必須在您的主目錄租用戶中註冊新的應用程式。 此應用程式可讓 Azure Stack Hub 使用 Azure AD 租用戶成功建立和註冊較新的資源提供者 (例如事件中樞等)。 這是在升級至組建 1910 或更新版本之後,需要完成的一次性動作。 如果此步驟未完成,市集資源提供者安裝將會失敗。

事件中樞必要條件

  1. 取得事件中樞的公開金鑰基礎結構 (PKI) SSL 憑證。 Subject Alternate Name (SAN) 參必須遵循下列命名模式:CN=*.eventhub.<region>.<fqdn>。 您可以指定主體名稱,但在處理憑證時,事件中樞不會使用該名稱, 只會使用主體的替代名稱。 如需詳細需求的完整清單,請參閱 PKI 憑證需求

    example certificate

    注意

    PFX 檔案必須受到密碼保護。 稍後在安裝期間會要求密碼。

  2. 請務必檢閱驗證憑證。 本文說明如何準備及驗證您用於事件中樞資源提供者的憑證。

後續步驟

接下來,安裝事件中樞資源提供者